Bug 77280 - Xserver locks up when booting computer
Xserver locks up when booting computer
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 82776
  Show dependency treegraph
 
Reported: 2002-11-04 12:22 EST by Christopher Howard
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 22:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/XFree.86.0.log (31.31 KB, text/plain)
2002-11-05 18:14 EST, Christopher Howard
no flags Details
/var/log/messages (154.83 KB, text/plain)
2002-11-05 18:15 EST, Christopher Howard
no flags Details
output from command lspci -vn (2.35 KB, text/plain)
2002-11-05 18:19 EST, Christopher Howard
no flags Details
output from command uname -a (93 bytes, text/plain)
2002-11-05 18:21 EST, Christopher Howard
no flags Details

  None (edit)
Description Christopher Howard 2002-11-04 12:22:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
The Xserver is set to start on boot.  When the Xserver starts, the computer 
locks up and the screen is just a big jumble of colors.  I am using a ATI 
Radeon 7200 PCI version.  But, when I install it only probes the Intel 810 
chipset which is disabled in my BIOS, so I go through the list and choose my 
Radeon.  I've installed it over and over again and it repeatedly does the same.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Turn on computer
2. The last line on the screen is "Running firstboot:"
3. Freeze up, and jumble of colors.
	

Actual Results:  Lock up, not even the caps lock light on the keyboard will 
come when the button is pressed.

Expected Results:  The computer should start up and show me a login screen.

Additional info:

I did try the interactive start up once and hit NO for everything, and it said 
that the Xserver failed to load.  And said that there was a fatal error loading 
font "fixed".
Comment 1 Mike A. Harris 2002-11-05 05:56:42 EST
Please attach your X server log file /var/log/XFree86.0.log, and your
X config file, as well as your /var/log/messages from after a crash.

Also attach the output of the following commands:

lspci -vn
uname -a
Comment 2 Christopher Howard 2002-11-05 18:14:27 EST
Created attachment 83784 [details]
/var/log/XFree.86.0.log
Comment 3 Christopher Howard 2002-11-05 18:15:46 EST
Created attachment 83785 [details]
/var/log/messages
Comment 4 Christopher Howard 2002-11-05 18:19:29 EST
Created attachment 83786 [details]
output from command lspci -vn
Comment 5 Christopher Howard 2002-11-05 18:21:24 EST
Created attachment 83787 [details]
output from command uname -a
Comment 6 Mike A. Harris 2002-12-19 06:09:59 EST
The log file you attached contains garbage.  Please attach a new one.

Note that if you disable onboard video and have a problem, or if your machine
does not allow you to disable onboard video, then it is a broken hardware
issue.  It may be able to be worked around somehow at somepoint in software
but it would not be considered a bug, but rather a "fix my broken hardware
with a software workaround" enhancement request.

Anyway, please attach the file so we can investigate.
Comment 7 Mike A. Harris 2003-01-26 04:35:30 EST
Please respond if this issue is still present, and you are still interested
in the issue being tracked and resolved.
Comment 8 Mike A. Harris 2004-04-19 22:43:24 EDT
Closing bug due to insufficient information, and over a year of
inactivity.  If this problem still persists in Fedora Core 2 test2
or later, or Red Hat Enterprise Linux 3, feel free to file a new
bug report and attach all of the information requested above in
individual uncompressed file attachments, and confirm they're
not corrupted upon upload.

Closing as 'NOTABUG'.

Note You need to log in before you can comment on or make changes to this bug.